# $Id: smeserver-mod_dav.spec,v 1.7 2022/07/29 04:17:39 jpp Exp $
# Authority: snetram
# Name: Jonathan Martens

%define name smeserver-mod_dav
%define version 1.1
%define release 11

Summary: SME Server mod_dav implementation
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.xz

BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: smeserver-apache >= 2.6.0-19
Requires: smeserver-release >= 10
Requires: httpd >= 2.4.6
BuildRequires: smeserver-devtools >= 1.13.1-03

%description
Implementation of mod_dav for SME Server 7.

%changelog
* Thu Feb 20 2025 Jean-Philippe Pialasse <jpp@koozali.org> 1.1-11.sme
- mod dav now loaded in core [SME: 2269]

* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.1-10.sme
- Fix e-smith references in smeserver-mod_dav [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.1-9.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Jul 28 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.1-8.sme
- update to apache 2.4 access syntax [SME: 12051]

* Mon Jun 21 2021 Terry Fage <terryf@ozemail.com.au> 1.1-7.sme
- Ensure persistence of/var/run/davlocks on reboot/reconfig [SME: 11630]

* Mon Mar 01 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.1-6.sme
- fix security issues [SME: 11077]
  where user could access ibay he was not member of group
- improve ibay dav template  [SME 4564]
  force ssl, secure php file, disable cgi and php 
  when DAV enabled on ibay, and respect rmeote access settings
- descriptive login box [SME: 5337]
- fix some typos and propertie names
  
* Sun Feb 28 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.1-4.sme
- add createlinks and add -update event [SME: 11070]

* Thu Oct 29 2020 Brian Read <brianr@bjsystems.co.uk> 1.1-3.sme
- Initial import into SME10 tree [SME: 11070]

* Tue Jun 10 2014 stephane de Labrusse <stephdl@de-labrusse.fr> - 1.1-2.sme
- added new way to authenticate to apache [sme:8340]

* Wed Nov 13 2013 Daniel Berteaud <daniel@firewall-services.com> 1.1-1.sme
- Rebuild for SME9

* Mon May 28 2012 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-1.sme
- Initial version

%prep
%setup


%build
perl createlinks

%install
rm -rf %buildroot
(cd root ; find . -depth -print | cpio -dump %buildroot)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist %buildroot \
    --dir /var/run/davLocks 'attr(0755,www,www)' \
    > %{name}-%{version}-filelist

%clean
rm -rf %buildroot

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
